Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes.mdx
Class TMdxSetNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.mdx.TMdxExpNode
              gudusoft.gsqlparser.nodes.mdx.TMdxSetNode

All Implemented Interfaces:
  Visitable

    public class TMdxSetNode

extends TMdxExpNode

Constructor Summary
`TMdxSetNode()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`EMdxDataType` | `getMdxDataType()`
`TPTNodeList<TMdxExpNode>` | `getTupleList()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TMdxSetNode

    public TMdxSetNode()

Method Detail

### getMdxDataType

    public EMdxDataType getMdxDataType()

  Specified by:
    `getMdxDataType` in class `TMdxExpNode`

### getTupleList

    public TPTNodeList<TMdxExpNode> getTupleList()

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TMdxExpNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD